Freeciv-3.2: Data Fields

Freeciv-3.2

Loading...
Searching...
No Matches
Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - p -

- p : government_iter, nation_group_iter, nation_iter, nation_set_iter
- p1_accept : diplo_wdg
- p2_accept : diplo_wdg
- p_table_p : city_dialog
- packet : event_cache_data, generate_packets.Variant, mrc_sendclient_data, packet_handlers
- PACKET_END_PATTERN : generate_packets.PacketsDefinition
- packet_header : connection
- PACKET_HEADER_PATTERN : generate_packets.PacketsDefinition
- packet_name() : generate_packets.Variant
- packet_use : packet_unit_short_info
- packets : generate_packets.PacketsDefinition
- packets_by_dirs : generate_packets.PacketsDefinition
- packets_by_number : generate_packets.PacketsDefinition
- packets_by_type : generate_packets.PacketsDefinition
- pact_allianze() : diplo_wdg
- pact_ceasfire() : diplo_wdg
- pact_peace() : diplo_wdg
- page : city_dialog, fc_client, fc_sidewidget, help_page_selection, unit_select_dialog
- page_submenu_AI : fc_client
- page_submenu_team : fc_client
- pages : fc_client
- pages_layout : fc_client
- paint() : chatwdg, city_item_delegate, city_production_delegate, fc_sidebar, fc_sidewidget, goto_dialog, info_tile, map_view, messagewdg, minimap_view, plr_item_delegate, units_select, xvote
- paintEvent() : chatwdg, city_map, fc_double_edge, fc_sidebar, fc_sidewidget, goto_dialog, hud_action, hud_battle_log, hud_input_box, hud_message_box, hud_text, hud_unit_combat, info_tile, map_view, messagewdg, minimap_view, notify_dialog, progress_bar, qfc_dialog, research_diagram, scale_widget, units_reports, units_select, unittype_item, xvote
- panel : city_dialog
- panel_button : extviewer
- panel_image : extviewer
- panel_label : extviewer
- panel_widget : extviewer
- paradropped : packet_edit_unit, packet_unit_info, unit
- param : cewt_data, cfbdw_data, cowt_data
- parameter : cm_state, cma_preset
- params : pf_map
- paratroopers : adv_data
- paratroopers_range : packet_ruleset_unit, unit_type
- parent_nations : nation_type
- parent_page : objprop
- parent_property_page : objbind
- parse() : generate_packets.Field, generate_packets.FieldFlags, generate_packets.SizeInfo, generate_packets.TypeRegistry
- parse_clean_lines() : generate_packets.PacketsDefinition
- parse_lines() : generate_packets.PacketsDefinition
- partial : inputfile
- partner : packet_trade_route_info, trade_route
- parts : goto_map, packet_page_msg
- passed : packet_vote_resolve, voteinfo
- passenger : unit_ai
- passengers : ai_plr
- password : connection, packet_authentication_reply
- paste : editor_sprites
- patch_version : packet_server_info, packet_server_join_req
- patches : server
- path : named_sprites, part, theme_directory, unit_select_dialog
- patrol : goto_map, named_sprites
- pause : audio_plugin
- pb_callback : mpqt_worker
- pBIG_Face : city_icon
- pcanvas : research_diagram
- pcity : citizens_dialog, city_dialog, city_label, city_production_delegate, cityimpr, cm_state, cma_dialog, happiness_dialog, wl_editor, worklist_data
- pColb : city_icon
- pd : city_production_delegate
- pdialog : diplomacy_dialog, diplomat_dialog, intel_dialog, small_diplomat_dialog
- pdlg : helpeditor
- pe_parent : property_page
- peace_with : ane_expl
- pedit : CONNLIST
- percent_required : packet_vote_new, voteinfo
- persistent : city, packet_city_rally_point
- persistent_ready : packet_game_info
- pextra : infra_cb_data
- phase : message, packet_chat_msg, packet_early_chat_msg, packet_game_info, packet_start_phase
- phase_begin : ai_type
- phase_done : packet_edit_player, packet_player_info, player
- phase_finished : ai_type
- phase_initialized : ai_plr
- phase_is_initialized : adv_data
- phase_mode : packet_game_info
- phase_mode_stored : civ_game
- phase_timer : civ_game
- phs : connection
- pic0 : Diplomacy_dialog
- pic1 : Diplomacy_dialog
- pick_nation() : pregame_options
- pid : plr_widget
- pillage : named_sprites
- pillage_select : packet_game_info
- pillage_time : packet_ruleset_terrain, terrain
- pimprove : cityimpr
- ping_time : connection, packet_conn_ping_info
- ping_timers : connection
- pingtime : civ_game
- pingtimeout : civ_game
- pix : messagewdg, minimap_view, progress_bar, unit_node, units_select
- pixel_border : img
- pixel_city : img
- pixel_fogofwar : img
- pixel_tile : img
- pixel_unit : img
- place_turn : packet_tile_info
- placing : packet_tile_info, tile
- placing_time : packet_ruleset_terrain, terrain
- plain : fz_FILE_s
- plant : named_sprites
- plant_result : packet_ruleset_terrain, terrain
- plant_time : packet_ruleset_terrain, terrain
- play : audio_plugin
- playable_nations : civserver
- player : claim_map, mapdef, named_sprites, nation_type, packet_edit_player_vision, packet_edit_toggle_fogofwar, packetdata, player_score_entry, player_slot, req_context, ss_report, vision, widget
- player_alloc : ai_type
- player_console : ai_type
- player_count : endgame_report
- player_dlg_show_dead_players : client_options
- player_free : ai_type
- player_id : packet_endgame_player
- player_intel_slots : ai_plr
- player_load : ai_type
- player_load_relations : ai_type
- player_no : packet_nation_select_req, packet_player_ready
- player_num : packet_conn_info, packet_endgame_report, packet_spaceship_info
- player_pov_combobox : editbar
- player_pov_store : editbar
- player_repo_sort_col : fc_settings
- player_report_sort : fc_settings
- player_save : ai_type
- player_save_relations : ai_type
- player_tile_city_id_get : functions
- player_tile_vision_get : functions
- playerno : packet_player_info, packet_player_remove, packet_web_player_info_addition
- players : cur_govs_data, endgame_report, packet_scenario_info, server
- players_icon : theme_icons
- players_received : endgame_report
- playing : connection
- plink : research_player_iter
- plr : plr_widget, texai_msg, texai_req
- plr0 : Treaty
- plr1 : diplo_wdg, packet_player_diplstate, Treaty
- plr1_accept : diplo_wdg
- plr2 : diplo_wdg, packet_player_diplstate
- plr2_accept : diplo_wdg
- plr_bg_color : civ_game
- plr_colors : civ_game
- plr_flag : universals_u
- plr_item() : plr_item
- plr_item_delegate() : plr_item_delegate
- plr_label : plr_report
- plr_list : plr_model
- plr_model() : plr_model
- plr_report() : plr_report
- plr_sorter() : plr_sorter
- plr_wdg : plr_report
- plr_widget() : plr_widget
- plrbv : mapdef
- plrcolormode : civ_game
- plrdata : logging_civ_score
- plrlist : team
- plrstate : universals_u
- plural_name : packet_ruleset_specialist
- plus : scale_widget
- pLuxury : city_icon
- pm : sprite
- pmul : effect_list_multiplier_data
- pnation : ruler_title
- poffers : diplomacy_dialog
- point : move_widget, qfc_dialog, resize_widget
- pointers : packetdata
- poison_empties_food_stock : packet_game_info
- police : city_icon
- pollution : city, city_icon, packet_city_info, player_score
- pollution_priority : adv_data
- pop_cost : packet_ruleset_unit, unit_type
- pop_report_zeroes : packet_game_info
- popdown_all_city_dialogs : gui_funcs
- popdown_city_dialog : gui_funcs
- popdown_tile_info() : fc_client
- popdown_unit_sel() : fc_client
- popover : city_dialog
- poptset : option, option_dialog, option_dialog_optset
- populate() : city_model, city_production_model, plr_model
- population : packet_spaceship_info, player_score, player_spaceship
- popup_actor_arrival : client_options
- popup_attack_actions : client_options
- popup_client_options() : fc_client
- popup_combat_info : gui_funcs
- popup_error() : fc_sc_button
- popup_last_move_to_allied : client_options
- popup_menu : city_dialog
- popup_new_cities : client_options
- popup_quit_dialog() : mpgui_main, ruledit_main
- popup_server_options() : pregame_options
- popup_tech_help : packet_ruleset_control
- popup_tile_info() : fc_client
- port : server, server_arguments
- pos : mem_fzFILE, pf_fuel_node
- pos_cities : trade_city
- pos_x : intel_dialog
- pos_y : intel_dialog
- poscaps : generate_packets.Variant
- posdesc : city_sum
- position : chat_listener, minimap_view
- position_in_history() : chat_listener
- positions : pf_path
- positive_year_label : packet_calendar_info
- poss_trade_num : trade_city
- post_load : compatibility
- potential_charges : unit_type_ai
- power_fact : packet_ruleset_game, packet_ruleset_unit, veteran_level
- powner : unit_move_data
- ppl_angry : packet_city_info, packet_edit_city
- ppl_content : packet_city_info, packet_edit_city
- ppl_happy : packet_city_info, packet_edit_city
- ppl_unhappy : packet_city_info, packet_edit_city
- pplayer : intel_dialog, intel_wonder_dialog, research_player_iter, spaceship_dialog
- pr_options : fc_client
- pre_vote : fc_client
- prefer : terrain_select
- preferred_musicset : packet_ruleset_control
- preferred_soundset : packet_ruleset_control
- preferred_themes : tileset
- preferred_tileset : packet_ruleset_control
- pregame_options() : pregame_options
- pregamevote() : pregamevote
- prepare_req_button() : tab_tech
- prepend_cmd : worklist_data
- prereqs_filled : partial_solution
- present : requirement
- present_unit_table : city_dialog
- present_units : city_dialog
- present_units_frame : city_dialog
- present_with_caps() : generate_packets.Field
- preset_list : cma_dialog
- preset_remove_shell : cma_dialog
- presource : fair_tile
- press : widget
- pretty : copt_val_name, sset_val_name
- pretty_names : client_option, packet_server_setting_bitwise, packet_server_setting_enum, server_option
- prev : genlist_link, pf_fuel_pos, utf8_char, widget
- prev_butt : help_dialog
- prev_city() : city_dialog
- prev_city_but : city_dialog
- prev_command : city_dialog
- prev_pos : unit_ai
- prev_struct : unit_ai
- prev_unit() : choice_dialog
- prev_x : move, UP_DOWN, up_down
- prev_y : move, UP_DOWN, up_down
- prevent_new_cities : packet_edit_game, packet_scenario_info
- prevents_disaster : impr_type
- primary_capital_id : player
- priority : theme, tileset
- private : ai_type
- private_data : widget
- private_map : player
- prob : autoattack_prob
- prod : city, packet_city_info
- prod_fontsize : fc_font
- prod_happ_widget : city_dialog
- prod_icon : theme_icons
- prod_selected() : production_widget
- prod_unit_splitter : city_dialog
- production : city, city_dialog, cm_tile_type, partial_solution
- production_bar : city_dialog
- production_changed() : city_dialog
- production_combo : city_dialog
- production_combo_p : city_dialog
- production_item() : production_item
- production_kind : packet_city_change, packet_city_info, packet_edit_city
- production_label : city_dialog
- production_leader : adv_data
- production_name : wl_editor
- production_progress : wl_editor
- production_value : packet_city_change, packet_city_info, packet_edit_city
- production_widget() : production_widget
- progress() : mpgui, science_report
- progress_bar() : progress_bar, science_report
- progress_label : science_report
- progress_thr() : mpgui
- progress_thr_signal() : mpgui
- properties : editor_sprites
- property : terrain
- property_id : propstate
- property_pages : property_editor
- property_value : propstate
- propstate_table : objbind
- propulsion : packet_spaceship_info, player_spaceship
- protects_vs_actions : impr_type
- provide : tree_node
- pscroll_bar : hmove, scroll_bar
- psection : entry
- pset_name : nation_info
- pset_next : nation_info
- pset_prev : nation_info
- pslot : citizens_reduction
- psp : startpos_iter
- psurface : sprite
- pterrain : fair_tile
- ptile : finger_behavior, infra_cb_data, mouse_button_behavior, notify_goto_data, qfc_delayed_unit_item, unit_select_dialog, worker_task
- ptr : widget
- ptr_value : cf_sequence
- ptsize : ttf_font_chain, utf8_str
- public_patterns : generate_packets.TypeRegistry
- public_type : generate_packets.BasicType, generate_packets.NeedSizeType
- public_types : generate_packets.TypeRegistry
- punit : unit_move_data
- put_to_corner() : close_widget, move_widget, resize_widget
- pv_cached : extviewer
- pvalue : client_option, setting
- pw_city : production_widget
- pwants : diplomacy_dialog
- pwidget : text_edit
- pwindow : move
- pythagorean_diagonal : packet_ruleset_terrain_control